%define	major 0
%define libname	%mklibname pwdb %{major}
%define develname %mklibname -d pwdb

Summary:	The password database library
Name:		pwdb
Version:	0.62
Release:	%mkrel 25
License:	GPL
Group:		Security
Source:		%{name}-%{version}.tar.bz2
Patch0:		pwdb-0.62-includes.patch
Patch1:		pwdb-0.62-build-fix.patch
Patch2:		fix-build.patch
BuildRequires:	pkgconfig(libnsl)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(libxcrypt)

%description
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%package	conf
Summary:	The password database library config
Group:		Security

%description	conf
Configuration package for the libpwdb, the password database library.

%package -n	%{libname}
Summary:	The password database library
Group:		System/Libraries
Requires:	%{name}-conf = %{version}
Provides:	pwdb = %{version}-%{release}
Obsoletes:	pwdb

%description -n	%{libname}
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%package -n	%{develname}
Summary:	The pwdb include files and link library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	pwdb-devel = %{version}-%{release}
Obsoletes:	%{_lib}pwdb0-devel < %{version}-%{release}

%description -n	%{develname}
The development header / link library for pwdb.

%prep
%setup -q
%autopatch -p1

rm default.defs
ln -s defs/redhat.defs default.defs
# checking out of the CVS sometimes preserves the setgid bit on
# directories...
chmod -R g-s .

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}{%{_libdir},%{_sysconfdir},%{_includedir}/pwdb}

%make_install INCLUDED=%{buildroot}%{_includedir}/pwdb \
	LIBDIR=%{buildroot}%{_libdir}

install conf/pwdb.conf %{buildroot}%{_sysconfdir}/pwdb.conf

%files conf
%doc Copyright doc/pwdb.txt doc/html
%config(noreplace) %{_sysconfdir}/pwdb.conf

%files -n %{libname}
%{_libdir}/libpwdb.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libpwdb.so
%{_includedir}/pwdb/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.62-25.mga10
+ Revision: 2242293
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 ns80 <ns80> 0.62-24.mga10
+ Revision: 2159553
- try to fix build

* Sat Apr 06 2024 wally <wally> 0.62-23.mga10
+ Revision: 2055256
- rebuild for libnsl 2.0.1

* Sat Mar 19 2022 umeabot <umeabot> 0.62-22.mga9
+ Revision: 1800293
- Mageia 9 Mass Rebuild

* Fri Dec 11 2020 wally <wally> 0.62-21.mga8
+ Revision: 1655471
- BR libnsl

* Wed Nov 25 2020 tv <tv> 0.62-20.mga8
+ Revision: 1649257
- BR libxcrypt
- link with libtirpc
- BR pkgconfig(libtirpc) for missing rpc/rpc.h

* Fri Feb 14 2020 umeabot <umeabot> 0.62-19.mga8
+ Revision: 1519412
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Oct 12 2018 wally <wally> 0.62-18.mga7
+ Revision: 1319798
- build using mga build time flags
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Fix make commands

* Fri Feb 05 2016 umeabot <umeabot> 0.62-16.mga6
+ Revision: 936374
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.62-15.mga5
+ Revision: 740323
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.62-14.mga5
+ Revision: 687846
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.62-13.mga4
+ Revision: 517730
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.62-12.mga3
+ Revision: 378362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 0.62-11.mga3
+ Revision: 307446
- cleanup spec

* Fri Feb 25 2011 ennael <ennael> 0.62-11.mga1
+ Revision: 59345
- clean spec file
- imported package pwdb


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.62-11mdv2011.0
+ Revision: 607252
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.62-10mdv2010.1
+ Revision: 521160
- rebuilt for 2010.1

* Wed Oct 14 2009 Olivier Blin <oblin@mandriva.com> 0.62-9mdv2010.0
+ Revision: 457454
- really fix pwdb-conf group, and do not break library group

* Sun Oct 11 2009 Olivier Blin <oblin@mandriva.com> 0.62-8mdv2010.0
+ Revision: 456648
- fix pwdb-conf group

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.62-7mdv2010.0
+ Revision: 426789
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.62-6mdv2009.0
+ Revision: 225119
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.62-5mdv2008.1
+ Revision: 125758
- kill re-definition of %%buildroot on Pixel's request


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.62-5mdv2007.0
+ Revision: 119968
- Import pwdb

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 0.62-4mdk
- rebuild for sparc

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.62-3mdk
- drop selinux support (P1)

* Fri Sep 17 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.62-2mdk
- buildrequires

* Tue Aug 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.62-1mdk
- 0.62

